## australis autocomplete

Create auto completion for bash.

### Synopsis

Create auto completion bash file for australis. Auto completion file must be placed in the correct
directory in order for bash to pick up the definitions.

Copy australis.completion.sh into the correct folder and rename to australis

In Linux, this directory is usually /etc/bash_completion.d/
In MacOS this directory is $(brew --prefix)/etc/bash_completion.d if auto completion was install through brew.


```
australis autocomplete [flags]
```

### Options

```
      --filename string   Path and name of the autocompletion file. (default "australis.completion.sh")
  -h, --help              help for autocomplete
```

### Options inherited from parent commands

```
  -a, --caCertsPath string      Path where CA certificates can be found.
  -c, --clientCert string       Client certificate to use to connect to Aurora.
  -k, --clientKey string        Client key to use to connect to Aurora.
      --config string           Config file to use. (default "/etc/aurora/australis.yml")
  -l, --logLevel string         Set logging level [panic fatal error warning info debug trace]. (default "info")
  -p, --password string         Password to use for API authentication
  -s, --scheduler_addr string   Aurora Scheduler's address.
  -i, --skipCertVerification    Skip CA certificate hostname verification.
      --toJSON                  Print output in JSON format.
  -u, --username string         Username to use for API authentication
  -z, --zookeeper string        Zookeeper node(s) where Aurora stores information. (comma separated list)
```

### SEE ALSO

* [australis](australis.md)	 - australis is a client for Apache Aurora

###### Auto generated by spf13/cobra on 22-Mar-2019
